Skip to main content
GET
/
index-resources
cURL
curl --request GET \
  --url https://api.usemoonshine.com/index-resources
[
  {
    "file_name": "<string>",
    "file_id": "<string>",
    "status": "<string>",
    "upload_time": "2023-11-07T05:31:56Z",
    "file_type": "<string>",
    "is_large": true,
    "metadata": {
      "fps": 123
    },
    "src": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.usemoonshine.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

userid
string
required

The user ID to fetch media resources for

token
string
required

User authentication token

index
string
required

Name of the media index

Response

Media groups response

file_name
string

Name of the original file

file_id
string

Unique identifier for the file

status
string

Processing status of the file

upload_time
string<date-time>

When the file was uploaded

file_type
string

Type of media file

is_large
boolean

Whether the file is considered large

metadata
object
src
string<uri>

URL to access the media file